﻿<?xml version='1.0' encoding='UTF-8'?>
<Project Type="Project" LVVersion="10008000">
	<Property Name="NI.LV.ExampleFinder" Type="Str">&lt;?xml version="1.0" encoding="UTF-8"?&gt;
&lt;nidna:ExampleProgram 
    xmlns:nidna="http://www.ni.com/Schemas/DNA/1.0" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
    xsi:schemaLocation="http://www.ni.com/Schemas/DNA/1.0 ..\DNA\1.0\NiExampleProgram.xsd" 
    SchemaVersion="1.0" 
    ContentType="EXAMPLE" 
&lt;Title&gt;
	&lt;Text Locale="US"&gt;Web Server.lvproj&lt;/Text&gt;
&lt;/Title&gt;
&lt;Keywords&gt;
	&lt;Item&gt;web&lt;/Item&gt;
	&lt;Item&gt;server&lt;/Item&gt;
	&lt;Item&gt;TCP&lt;/Item&gt;
	&lt;Item&gt;TCP/IP&lt;/Item&gt;
	&lt;Item&gt;arm&lt;/Item&gt;
&lt;/Keywords&gt;
&lt;Navigation&gt;
	&lt;Item&gt;10089&lt;/Item&gt;
	&lt;Item&gt;10093&lt;/Item&gt;
&lt;/Navigation&gt;
&lt;FileType&gt;LV Project&lt;/FileType&gt;
&lt;Metadata&gt;
&lt;Item Name="RTSupport"&gt;LV Project&lt;/Item&gt;
&lt;/Metadata&gt;
&lt;ProgrammingLanguages&gt;
&lt;Item&gt;LabVIEW&lt;/Item&gt;
&lt;/ProgrammingLanguages&gt;
&lt;RequiredSoftware&gt;
&lt;NiSoftware MinVersion="8.5.1"&gt;LabVIEW&lt;/NiSoftware&gt; 
&lt;/RequiredSoftware&gt;
</Property>
	<Property Name="NI.Project.Description" Type="Str">This demo creates a simple web server on the Keil MCB2300.  Only 1 web page is hosted.  This web page displays 8 buttons.  Each button controls one of the LED's on the MCB2300.  When a button is pressed the corresponding LED blinks.  The web page also displays two bar graphs representing the voltages on AI0 and AI1 of the MCB2300.</Property>
	<Item Name="My Computer" Type="My Computer">
		<Property Name="NI.SortType" Type="Int">3</Property>
		<Property Name="server.app.propertiesEnabled" Type="Bool">true</Property>
		<Property Name="server.control.propertiesEnabled" Type="Bool">true</Property>
		<Property Name="server.tcp.enabled" Type="Bool">false</Property>
		<Property Name="server.tcp.port" Type="Int">0</Property>
		<Property Name="server.tcp.serviceName" Type="Str">My Computer/VI Server</Property>
		<Property Name="server.tcp.serviceName.default" Type="Str">My Computer/VI Server</Property>
		<Property Name="server.vi.callsEnabled" Type="Bool">true</Property>
		<Property Name="server.vi.propertiesEnabled" Type="Bool">true</Property>
		<Property Name="specify.custom.address" Type="Bool">false</Property>
		<Item Name="Dependencies" Type="Dependencies"/>
		<Item Name="Build Specifications" Type="Build"/>
	</Item>
	<Item Name="MCB2300" Type="Embedded">
		<Property Name="alias.name" Type="Str">MCB2300</Property>
		<Property Name="alias.value" Type="Str">Embedded:RealView:MCB2300</Property>
		<Property Name="EIOPath" Type="Str">\eio\default\eio.xml</Property>
		<Property Name="EmbeddedUrl" Type="Str">Embedded:RealView:MCB2300</Property>
		<Property Name="NI.SortType" Type="Int">3</Property>
		<Property Name="Type" Type="Str">MCB2300</Property>
		<Item Name="Analog Input" Type="Folder">
			<Item Name="AI0" Type="Elemental IO">
				<Property Name="eioAttrBag" Type="Xml"><AttributeSet name="MCB2300">
   <Attribute name="resource">
   <Value>/AI0</Value>
   </Attribute>
</AttributeSet>
</Property>
			</Item>
			<Item Name="AI1" Type="Elemental IO">
				<Property Name="eioAttrBag" Type="Xml"><AttributeSet name="MCB2300">
   <Attribute name="resource">
   <Value>/AI1</Value>
   </Attribute>
</AttributeSet>
</Property>
			</Item>
		</Item>
		<Item Name="Web Globals.vi" Type="VI" URL="../Web Globals.vi"/>
		<Item Name="Web Server.vi" Type="VI" URL="../Web Server.vi"/>
		<Item Name="Dependencies" Type="Dependencies">
			<Item Name="vi.lib" Type="Folder">
				<Item Name="MCB2300 Set LEDs.vi" Type="VI" URL="/&lt;vilib&gt;/Embedded/ARM/MCB2300/MCB2300 Set LEDs.vi"/>
				<Item Name="TCP Listen.vi" Type="VI" URL="/&lt;vilib&gt;/Utility/tcp.llb/TCP Listen.vi"/>
				<Item Name="Internecine Avoider.vi" Type="VI" URL="/&lt;vilib&gt;/Utility/tcp.llb/Internecine Avoider.vi"/>
				<Item Name="TCP Listen Internal List.vi" Type="VI" URL="/&lt;vilib&gt;/Utility/tcp.llb/TCP Listen Internal List.vi"/>
				<Item Name="TCP Listen List Operations.ctl" Type="VI" URL="/&lt;vilib&gt;/Utility/tcp.llb/TCP Listen List Operations.ctl"/>
				<Item Name="MCB2300 Turn Off LED.vi" Type="VI" URL="/&lt;vilib&gt;/Embedded/ARM/MCB2300/MCB2300 Turn Off LED.vi"/>
				<Item Name="MCB2300 Turn On LED.vi" Type="VI" URL="/&lt;vilib&gt;/Embedded/ARM/MCB2300/MCB2300 Turn On LED.vi"/>
				<Item Name="MCB2300 Init LCD.vi" Type="VI" URL="/&lt;vilib&gt;/Embedded/ARM/MCB2300/MCB2300 Init LCD.vi"/>
				<Item Name="MCB2300 Clear LCD Screen.vi" Type="VI" URL="/&lt;vilib&gt;/Embedded/ARM/MCB2300/MCB2300 Clear LCD Screen.vi"/>
				<Item Name="MCB2300 Turn On LCD.vi" Type="VI" URL="/&lt;vilib&gt;/Embedded/ARM/MCB2300/MCB2300 Turn On LCD.vi"/>
				<Item Name="MCB2300_AI_NodeAttr.ctl" Type="VI" URL="/&lt;vilib&gt;/Embedded/ARM/MCB2300/MCB2300_AI_NodeAttr.ctl"/>
				<Item Name="MCB2300_AIInit.vi" Type="VI" URL="/&lt;vilib&gt;/Embedded/ARM/MCB2300/MCB2300_AIInit.vi"/>
				<Item Name="MCB2300_AnalogIn.vi" Type="VI" URL="/&lt;vilib&gt;/Embedded/ARM/MCB2300/MCB2300_AnalogIn.vi"/>
				<Item Name="MCB2300 Set Text on LCD.vi" Type="VI" URL="/&lt;vilib&gt;/Embedded/ARM/MCB2300/MCB2300 Set Text on LCD.vi"/>
				<Item Name="MCB2300 Set Text on LCD String.vi" Type="VI" URL="/&lt;vilib&gt;/Embedded/ARM/MCB2300/MCB2300 Set Text on LCD String.vi"/>
				<Item Name="MCB2300 Set Text on LCD Boolean.vi" Type="VI" URL="/&lt;vilib&gt;/Embedded/ARM/MCB2300/MCB2300 Set Text on LCD Boolean.vi"/>
				<Item Name="MCB2300 Set Text on LCD Double.vi" Type="VI" URL="/&lt;vilib&gt;/Embedded/ARM/MCB2300/MCB2300 Set Text on LCD Double.vi"/>
				<Item Name="MCB2300 Set Text on LCD Path.vi" Type="VI" URL="/&lt;vilib&gt;/Embedded/ARM/MCB2300/MCB2300 Set Text on LCD Path.vi"/>
				<Item Name="MCB2300 Set Text on LCD I32.vi" Type="VI" URL="/&lt;vilib&gt;/Embedded/ARM/MCB2300/MCB2300 Set Text on LCD I32.vi"/>
				<Item Name="MCB2300 Set Text on LCD U32.vi" Type="VI" URL="/&lt;vilib&gt;/Embedded/ARM/MCB2300/MCB2300 Set Text on LCD U32.vi"/>
			</Item>
		</Item>
		<Item Name="Build Specifications" Type="Build">
			<Item Name="Web Server" Type="EmbeddedBuildSpec">
				<Property Name="alias.name" Type="Str">ARM Web Server</Property>
				<Property Name="BDTFlags" Type="Str">DB17B2E0-9935-4D56-8A77-6F96FC04C24A</Property>
				<Property Name="Compiler" Type="Str"></Property>
				<Property Name="CompilerFlags" Type="Str"></Property>
				<Property Name="Console output" Type="UInt">0</Property>
				<Property Name="ConstantAllocation" Type="UInt">0</Property>
				<Property Name="ConstantDeallocation" Type="UInt">0</Property>
				<Property Name="DebugMode" Type="UInt">2</Property>
				<Property Name="DebugOptions" Type="UInt">0</Property>
				<Property Name="DefaultBuildSpec" Type="Bool">true</Property>
				<Property Name="EmbeddedUrl" Type="Str">Embedded:RealView:MCB2300:Application</Property>
				<Property Name="Enable cross-module optimization" Type="Bool">true</Property>
				<Property Name="Enable debugging" Type="Bool">true</Property>
				<Property Name="Enable profile information" Type="Bool">false</Property>
				<Property Name="ExpressionFolding" Type="Bool">false</Property>
				<Property Name="Gateway" Type="Str">0.0.0.0</Property>
				<Property Name="Generate C Function Calls" Type="Bool">false</Property>
				<Property Name="GenerateGuardCode" Type="Bool">true</Property>
				<Property Name="GenerateIntegerOnly" Type="Bool">false</Property>
				<Property Name="GenerateSerialOnly" Type="Bool">false</Property>
				<Property Name="Host name" Type="Str">labview_web</Property>
				<Property Name="Include paths" Type="Bin">#&amp;#!!A!!!!)!$E!S`````Q21982I!!!;1%!!!@````]!!!V*&lt;G.M&gt;72F)("B&gt;'BT!!%!!1!!!!!!!!!!</Property>
				<Property Name="Interactive" Type="Bool">true</Property>
				<Property Name="IP address" Type="Str">192.168.0.20</Property>
				<Property Name="LinkerFlags" Type="Str"></Property>
				<Property Name="MAC address" Type="Str"></Property>
				<Property Name="MAC in target memory" Type="Bool">true</Property>
				<Property Name="MemoryModel" Type="Int">0</Property>
				<Property Name="Mode" Type="UInt">1</Property>
				<Property Name="Optimization" Type="UInt">2</Property>
				<Property Name="Optimize for time" Type="Bool">false</Property>
				<Property Name="Optimize subVI calls" Type="Bool">false</Property>
				<Property Name="Preprocessor symbols (define)" Type="Str"></Property>
				<Property Name="Primary DNS" Type="Str">0.0.0.0</Property>
				<Property Name="Secondary DNS" Type="Str">0.0.0.0</Property>
				<Property Name="SourceTopLevelVI" Type="Ref">/MCB2300/Web Server.vi</Property>
				<Property Name="Subnet mask" Type="Str">255.255.255.0</Property>
				<Property Name="Target serial port" Type="UInt">1</Property>
				<Property Name="Use DHCP" Type="Bool">false</Property>
				<Property Name="UseStackVariables" Type="Bool">false</Property>
			</Item>
		</Item>
	</Item>
</Project>
